Subject: Re: bug#67736: 30.0.50; emacsclient.desktop fails with quoting-related error

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Dec 2023 13:54:34 +0200

> From: Mekeor Melire <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>
> Date: Sun, 10 Dec 2023 11:14:25 +0000
> 
> 2023-12-10 08:17 [email-masked]:
> 
> > Why does emacsclient exit with a failure in that case?  When I try
> > invoking emacsclient from the shell prompt, it exits with a zero exit
> > status, not with a failure.
> 
> Invoking emacsclient from shell prompt directly, works just fine for me
> too. Supposedly, it's not emacsclient that exists with failure but the
> sh command mentioned below.

And if you invoke that command from the shell, it does exit with a
failure status?

>     https://github.com/telegramdesktop/tdesktop/issues/27100
> 
> Actually, I have the feeling that this is a bug in xdg-utils. I will
> file a bug report there.

Thanks, let's see how they respond.

> In the mean time, should we work-around this bug by just using this or
> something similar?:
> 
>     Exec=emacsclient --alternate-editor= --create-frame %F

I have no idea what problems this could cause, so I'd prefer not to
change anything until we understand more and hear from xdg-utils
developers.